Subject: bug#30078: 27.0.50; Use lexical-binding for M-:

From: Richard Stallman <[email-masked]>
Date: Mon, 02 Apr 2018 15:40:49 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

We need dynamic binding to run old programs which were written for it.
We must keep it running forever for that reason.
Aside from that, I don't see a case where we really need to use it.

The 'e' command in the debugger needs to give access to the bindings
of the code being debugged -- even if that code uses lexical binding.
There are various ways to implement that.  How is it implemented now?

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)
Skype: No way! See https://stallman.org/skype.html.